#ifndef IMAGE_OBJECT
#define IMAGE_OBJECT

#include <string>

using namespace std;

class wxImage;

class ImageObject
{
    friend class PixalcoApp;
  
public:
    ImageObject(const string &name_);

    int AddRef();
    int Release();
    int GetRefCount() const         { return mRefCount; }

    ImageObject* Copy();

    void SetImage(wxImage* img_);   // ImageObject will handle the memory!
    wxImage* GetImage() const       { return mImage; }
    string GetDisplayName() const   { return mDisplayName; }  // TODO: not yet used

protected:
    ImageObject();
    ~ImageObject();

private:
    int         mRefCount;
    wxImage     *mImage;
    string      mDisplayName;   // TODO: not yet used
};

#endif // IMAGE_OBJECT
